DtMmdbStylesheetGetData(library call)

NAME
DtMmdbStylesheetGetData — obtains the data for a stylesheet object

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbStylesheetGetData(
DtMmdbInfoRequest* request,
unsigned int* length);

DESCRIPTION

The DtMmdbStylesheetGetData function returns the data for the stylesheet used by the specified section. Do not use the free function on the returned pointer. Table lookup is involved if the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and either the section's Database Engine identifier (in the primary_oid field) or the section's logical identifier (in the locator_ptr field). If both of these fields have a value, DtMmdbStylesheetGetData uses the locator_ptr value.

length
    Specifies the variable to receive the length of the returned data (in bytes), if the returned pointer to the data is not NULL.

RETURN VALUE

If DtMmdbStylesheetGetData completes successfully, it returns a pointer to a NULL-terminated data string. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbStylesheetGetData call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
request.primary_oid = DtMmdbSectionGetStyleSheetId(&&request);
DtMmdbStylesheetGetName(&&request);

SEE ALSO

TO BE SUPPLIED